#
# spec file for package gdb (Version 6.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  dejagnu expect gcc-c++ gcc-g77 gcc-java gcc-objc libgcj libgcj-devel libobjc libstdc++-devel readline-devel tcl

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils dejagnu expect gcc gcc-c++ gcc-g77 gcc-java gcc-objc gdbm gettext libgcj libgcj-devel libobjc libstdc++-devel libtool perl readline-devel rpm tcl

Name:         gdb
URL:          http://www.gnu.org/software/gdb/
License:      GPL
Group:        Development/Tools/Debuggers
Autoreqprov:  on
PreReq:       %{install_info_prereq}
Version:      6.3
Release:      16.2
Summary:      The GNU debugger
Source:       gdb-%{version}.tar.bz2
Patch:        testsuite.patch
Patch1:       gdb-misc.patch
Patch2:       warn.patch
Patch3:       dwarf2-debug-line.patch
Patch4:       dep.patch
Patch5:       vforkdone.patch
Patch6:       backtrace-errors.patch
Patch7:       readnever.patch
Patch8:       gstack.patch
Patch9:       dwarf2loc.patch
Patch10:      ppc-linux-sigtramp.diff
Patch11:      ppc-reggroups.diff
Patch12:      step-resume-breakpoint.diff
Patch13:      dw-tag-member.diff
Patch14:      follow-vfork.diff
Patch15:      attach-msg.diff
Patch16:      ppc-fpregset.diff
Patch17:      vsyscall-backtrace.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
You can use GDB to debug programs written in C, C++, Ada and Modula-2.
GNU Fortran 77 support is also partially included.



Authors:
--------
    Doug Evans <dje@cygnus.com>
    Fred Fish <fnf@cygnus.com>
    Ian Lance Taylor <ian@cygnus.com>
    J.T. Conklin <jtc@cygnus.com>
    Jason Molenda <crash@cygnus.com>
    Jeffrey A. Law <law@cygnus.com>
    Jim Kingdon <kingdon@cygnus.com>
    Kung Hsu <kung@cygnus.com>
    Michael Meissner <meissner@cygnus.com>
    Per Bothner <bothner@cygnus.com>
    Peter Schauer <pes@regent.e-technik.tu-muenchen.de>
    Rob Savoye <rob@cygnus.com>
    Stan Shebs <shebs@cygnus.com>
    Steve Chamberlain <sac@cygnus.com>
    Stu Grossman <grossman@cygnus.com>

%prep
%setup -q
%patch
%patch1
%patch2
cd gdb
%patch3
cd ..
%patch4
%patch5
cd gdb
%patch6
cd ..
%patch7
%patch8
cd gdb
%patch9
%patch10
%patch11
%patch12
cd ..
%patch13
cd gdb
%patch14
%patch15
%patch16
cd ..
%patch17 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --libdir=%{_libdir} --infodir=%{_infodir} \
	    --mandir=%{_mandir} --disable-install-libbfd \
	    --with-separate-debug-dir=%{_prefix}/lib/debug \
	    --enable-64-bit-bfd \
	    --enable-tui %{_target_cpu}-suse-linux
make %{?jobs:-j%jobs}
make info
make -k check || :

%install
rm -rf  $RPM_BUILD_ROOT
make install install-info \
     -o install-bfd -o install-opcodes -o install-libiberty \
     prefix=$RPM_BUILD_ROOT%{_prefix} \
     libdir=$RPM_BUILD_ROOT%{_libdir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_infodir}/bfd.info*
rm -f $RPM_BUILD_ROOT%{_infodir}/configure.info*
rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*
rm -f $RPM_BUILD_ROOT%{_bindir}/run
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/run.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/annotate.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gdb.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/gdbint.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/stabs.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/annotate.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gdb.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gdbint.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/stabs.info.gz

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB gdb/README gdb/NEWS
%{_bindir}/gdb
%{_bindir}/gdbtui
%{_bindir}/gstack
%{_mandir}/man1/gdb.1.gz
%{_mandir}/man1/gdbtui.1.gz
%{_infodir}/annotate.info*.gz
%{_infodir}/gdb.info*.gz
%{_infodir}/gdbint.info*.gz
%{_infodir}/stabs.info*.gz
%ifnarch alpha sparc sparc64 ppc64
%{_bindir}/gdbserver
%{_mandir}/man1/gdbserver.1.gz
%endif

%changelog -n gdb
* Mon Apr 11 2005 - schwab@suse.de
- Fix backtrace through vsyscall [#63483].
* Mon Apr 11 2005 - schwab@suse.de
- Add patch to fix bugs in rs6000/powerpc register set functions.
- Fix a testsuite bug.
* Sun Mar 06 2005 - schwab@suse.de
- Add patch to suppress fork attach/detach messages.
* Wed Mar 02 2005 - schwab@suse.de
- Add patch to fix following vfork from a secondary thread.
* Mon Feb 28 2005 - schwab@suse.de
- Don't ignore DW_TAG_member [#66406].
* Tue Feb 01 2005 - schwab@suse.de
- Find separate debug symbol files in /usr/lib/debug by default.
* Thu Jan 27 2005 - schwab@suse.de
- Add patch to handle back-to-back and nested signals.
* Thu Jan 27 2005 - schwab@suse.de
- Add patch to implement reggroups for ppc.
* Wed Jan 26 2005 - schwab@suse.de
- Add patch to implement PPC GNU/Linux sigtramp frame code.
* Wed Jan 12 2005 - schwab@suse.de
- Don't error out when encountering an unavailable value.
* Fri Dec 03 2004 - schwab@suse.de
- Downgrade errors to warnings during backtrace [#48484].
- Undocument --readnever since it may not be supported by future releases.
- Fix patches from last change.
* Fri Dec 03 2004 - kukuk@suse.de
- Add --readnever option as workaround for [#48485]
* Sun Nov 14 2004 - schwab@suse.de
- Add libunwind-devel to neededforbuild.
* Sat Nov 13 2004 - schwab@suse.de
- Fix missing dependencies.
* Wed Nov 10 2004 - schwab@suse.de
- Version 6.2.91 renamed to 6.3.
* Tue Nov 09 2004 - schwab@suse.de
- Update to gdb 6.2.91 (6.3 release candidate).
* Mon Nov 08 2004 - schwab@suse.de
- Revert last change.
- Fix typo.
* Mon Nov 08 2004 - uli@suse.de
- fixed to build on s390*
* Mon Oct 25 2004 - schwab@suse.de
- Fix building gdbserver on x86-64.
* Mon Oct 25 2004 - schwab@suse.de
- Update to gdb 6.2.90.
- Use libunwind on ia64.
* Thu Sep 09 2004 - schwab@suse.de
- Update to gdb 6.2.1.
* Wed Aug 25 2004 - schwab@suse.de
- Fix deadlock in child_wait [#42796].
* Tue Aug 24 2004 - schwab@suse.de
- Import latest changes from 6.2 branch.
* Fri Jul 30 2004 - schwab@suse.de
- Update to gdb 6.2.
* Thu Jul 29 2004 - schwab@suse.de
- Update to gdb 6.1.92.
* Mon Jul 26 2004 - schwab@suse.de
- Fix handling of relative filenames in DWARF2 .debug_line.
* Mon Jul 19 2004 - schwab@suse.de
- Update to gdb 6.1.91.
* Thu Jun 24 2004 - schwab@suse.de
- Better handling of dying threads.
* Fri Jun 18 2004 - schwab@suse.de
- Update to gdb 6.1.1.
* Tue May 25 2004 - schwab@suse.de
- Fix handling of short lived threads [#40841].
* Sat May 01 2004 - schwab@suse.de
- Restore removed hunk.
* Fri Apr 30 2004 - meissner@suse.de
- applied 3 patches to fix problems on ppc64. #39394
* Sat Apr 17 2004 - schwab@suse.de
- Pacify autobuild.
* Mon Apr 05 2004 - schwab@suse.de
- Version 6.0.92 has been renamed to 6.1.
* Sat Apr 03 2004 - schwab@suse.de
- Update to gdb 6.0.92 (6.1 release candidate).
* Tue Mar 30 2004 - schwab@suse.de
- Fix invalid use of va_list.
* Mon Mar 29 2004 - schwab@suse.de
- Update to gdb 6.0.91.
* Mon Mar 29 2004 - schwab@suse.de
- Update to current CVS.
* Fri Mar 19 2004 - schwab@suse.de
- Fix last change: don't disable testsuite.
* Wed Mar 17 2004 - mludvig@suse.cz
- Added opcodes for VIA PadLock instructions.
* Tue Mar 02 2004 - schwab@suse.de
- Update to gdb 6.0.90.
- Run testsuite.
* Thu Jan 08 2004 - schwab@suse.de
- Fix gate area range.
* Wed Dec 10 2003 - schwab@suse.de
- Support DW_TAG_subrange_type.
- Backport recent ia64 improvements from mainline.
* Tue Oct 21 2003 - mludvig@
- Add support for debugging both i386 and amd64 apps by a single
  amd64 GDB binary.
* Mon Oct 20 2003 - mludvig@suse.cz
- Correctly interpret symbol tables for debugging kernel modules
  (gdb6-symtab-minimal.diff)
- Fixed support for GCC variable tracking (gdb6-vartrack.diff)
- Fixed support for Fortran arrays (gdb6-fortranarray.diff)
* Tue Oct 07 2003 - schwab@suse.de
- Hack to build on sparc.
* Mon Oct 06 2003 - schwab@suse.de
- Update to gdb 6.0.
* Fri Oct 03 2003 - kukuk@suse.de
- Remove unused tetex from neededforbuild
* Mon Sep 29 2003 - schwab@suse.de
- Update to gdb 5.3.93 pre-release.
* Wed Sep 17 2003 - schwab@suse.de
- Remove debugging hooks.
* Wed Sep 17 2003 - schwab@suse.de
- Ignore more insns during i386 prologue decoding [#30288].
- Fix hash table mixup in bfd_simple interface.
* Tue Sep 16 2003 - schwab@suse.de
- Update to gdb 5.3.92 pre-release.
  * Fixes bug 31033.
* Wed Sep 03 2003 - schwab@suse.de
- Update to gdb 5.3.91 pre-release.
* Tue Aug 19 2003 - schwab@suse.de
- Update to gdb 5.3.90 2003-08-19 cvs snapshot.
* Mon Jun 23 2003 - kukuk@suse.de
- Fix compiling on SPARC
* Tue Jun 10 2003 - schwab@suse.de
- Don't package mmalloc.info, since libmmalloc isn't included either.
* Thu May 15 2003 - schwab@suse.de
- Remove unwanted files.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Apr 11 2003 - mludvig@suse.cz
- Fix read_2u() function in dwarf2cfi.c
* Thu Apr 10 2003 - mludvig@suse.cz
- Add 'info cfi <address>' command.
- Fix off-by-4 bug in the CFI parser.
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Thu Mar 27 2003 - schwab@suse.de
- Fix specfile.
* Thu Mar 06 2003 - aj@suse.de
- Fix neededforbuild.
* Wed Feb 26 2003 - mludvig@suse.cz
- Added loclist support
- Fixed eh_frame parsing problems
- Updated for proposed x86-64 ABI change
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Tue Feb 04 2003 - schwab@suse.de
- Enable TUI.
* Sun Jan 26 2003 - olh@suse.de
- add inital native ppc64 support
* Thu Jan 09 2003 - mludvig@suse.cz
- Fixed compilation problem with last gdb-asmbtrace.diff.
  No new feature.
* Tue Jan 07 2003 - mludvig@suse.cz
- Several Dwarf2 and x86-64 specific changes
  * Added ability to do backtrace from some functions
  without debug info (patch gdb-asmbtrace.diff)
  * Fixed crash on re-run of a debugged program.
  * Added some more verbosity to dwarf2cfi engine.
* Thu Dec 12 2002 - schwab@suse.de
- Update to gdb 5.3.
  * GNU/Linux shared library multi-threaded performance improved.
  * ``gdbserver'' now supports multi-threaded applications on some targets
  * GDB now supports C/C++ preprocessor macros.
* Fri Oct 11 2002 - aj@suse.de
- Handle gcc code generated by gcc -f-elimante-dwarf2-dups -g.
* Thu Sep 26 2002 - schwab@suse.de
- Avoid installing libbfd, libopcodes, libiberty and libmmalloc [#20199].
* Wed Sep 18 2002 - sf@suse.de
- added patch from mludvig to remove framepointer on x86_64
* Wed Sep 04 2002 - kukuk@suse.de
- Add Patch for reading SPARC core files
* Tue Sep 03 2002 - schwab@suse.de
- Remove tetex from neededforbuild.
* Wed Jul 24 2002 - schwab@suse.de
- Update to gdb 5.2.1.
* Thu Jul 18 2002 - mludvig@suse.de
- Fix PLT recognisation.
* Mon Jul 08 2002 - schwab@suse.de
- Add fix for memory leak.
* Tue Jul 02 2002 - mludvig@suse.cz
- removed my previous patches
- added a huge one suse-521-x8664.diff
* Thu Jun 06 2002 - sf@suse.de
- added fpregset.diff (from mludvig@suse.de)
- added dwarf2cfi.diff (from mludvig@suse.de)
* Wed May 15 2002 - sf@suse.de
- added some dwarf2-patches for x86_64
  (from mludvig@suse.de)
* Thu May 09 2002 - schwab@suse.de
- Fix breakpoints on MLX bundle.
* Mon May 06 2002 - schwab@suse.de
- Sparc doesn't have gdbserver either.
* Sun May 05 2002 - schwab@suse.de
- Update to gdb 5.2.
- Gdbserver now available for all but alpha.
* Fri Jan 25 2002 - schwab@suse.de
- Update to gdb 5.1.1.
* Thu Nov 22 2001 - schwab@suse.de
- Update to gdb 5.1.
- Build and install gdbserver on i386 and ia64.
* Sat Aug 18 2001 - schwab@suse.de
- Update to gdb snapthot 20010316.
* Fri May 18 2001 - schwab@suse.de
- Include ia64 warning patches (from nadvornik@suse.cz).
* Thu Apr 12 2001 - schwab@suse.de
- Remove declaration of tilde_expand, now in readline header.
* Sun Apr 01 2001 - schwab@suse.de
- Fix hardware watchpoints on ia64.
* Fri Mar 30 2001 - schwab@suse.de
- Fix crash on info architecture (#6865).
* Wed Mar 28 2001 - schwab@suse.de
- Use installed readline library.
* Tue Mar 06 2001 - schwab@suse.de
- Remove some ia64 hacks.
* Tue Dec 12 2000 - schwab@suse.de
- Improve handling of breakpoints in shared libraries.
* Fri Nov 17 2000 - kukuk@suse.de
- Update to working gdb snapshot
* Wed Sep 27 2000 - fober@suse.de
- s390: added s390-sigregs-SuSE.patch
* Thu Sep 14 2000 - fober@suse.de
- s390: incorporate new ibm patches for gdb 5.0
* Wed Sep 06 2000 - fober@suse.de
- s390: incorporate ibm patches for gdb 5.0
* Fri Jun 30 2000 - kukuk@suse.de
- Add gdb-5.0
* Tue Apr 04 2000 - bk@suse.de
- s390 team added s390 support
* Tue Mar 21 2000 - schwab@suse.de
- Fix core dump reading (#2586).
* Fri Feb 04 2000 - kukuk@suse.de
- Add patches for PPC
- Move /usr/info -> /usr/share/info
* Mon Dec 06 1999 - kukuk@suse.de
- Remove gdb 4.17
- Add gdb 4.18 fixes for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - kukuk@suse.de
- Use RPM values for CFLAGS and configure
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Mon Aug 23 1999 - kukuk@suse.de
- Add gdb 4.18 thread patch from RH
* Mon Jul 19 1999 - florian@suse.de
- add gdb-4.17.0.12 as /usr/bin/gdb-4.17
* Wed Jul 07 1999 - kukuk@suse.de
- update to 4.18 using diff from jurix
* Mon Feb 22 1999 - ro@suse.de
- update to 4.17.0.11 using diff from jurix
* Thu Jan 21 1999 - ro@suse.de
- update to 4.17.0.8
* Thu Oct 01 1998 - ro@suse.de
- update to 4.17.0.4 using jurix-diff
* Tue Sep 15 1998 - ro@suse.de
- hacked for GLIBC: include sys/ucontext and sys/ptrace where needed
- catch strup redeclarations
- cleaned up patch-sequence
* Wed Oct 29 1997 - florian@suse.de
- fix <sys/procfs.h> in libc to correctly support core-files
- add bug-fix to read symbols from dynamic symbol tables
- apply all patches from debian gdb-4.16-11
* Thu Jan 02 1997 - florian@suse.de
  Neue Version 4.16.
  gdb kompiliert nur mit libc 5.4.7 richtig. Mit 5.2.18 kann gdb
  keine core-files lesen.
  Ich waere dafuer, einfach das Binary von libc 5.4.7 zu benutzen.
  Wird schon funktionieren...
